org.jfree.report.modules.gui.swing.preview.actions

## Interface ControlActionPlugin

- All Superinterfaces:
    ActionPlugin
  All Known Implementing Classes:
    AboutActionPlugin, ExitActionPlugin, GoToActionPlugin, GoToFirstPageActionPlugin, GoToLastPageActionPlugin, GoToNextPageActionPlugin, GoToPreviousPageActionPlugin, ZoomCustomActionPlugin, ZoomInActionPlugin, ZoomOutActionPlugin

      public interface ControlActionPlugin
      extends ActionPlugin

  Creation-Date: 16.11.2006, 15:47:20
  Author:
    Thomas Morgner

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `configure(PreviewPane pane)`

    - ### Methods inherited from interface org.jfree.report.modules.gui.swing.common.ActionPlugin

      `addPropertyChangeListener, addPropertyChangeListener, getAcceleratorKey, getDisplayName, getLargeIcon, getMenuOrder, getMnemonicKey, getRole, getRolePreference, getShortDescription, getSmallIcon, getToolbarOrder, initialize, isAddToMenu, isAddToToolbar, isSeparated, removePropertyChangeListener`

- - ### Method Detail

    - #### configure

          boolean configure(PreviewPane pane)